Subject: bug#21582: 25.0.50; WindowsXP GEN ../../info/elisp.info in @synindex.Uninown index `cp' and/or `fn

From: martin rudalics <[email-masked]>
Date: Tue, 29 Sep 2015 09:23:04 +0200

> The first problem I had was with `./autogen.sh`, which was fixed by running:
 >
 > dos2unix configure.ac

You probably have to do

git config --global core.autocrlf false

and reload from the repository.

Emacs doesn't work with the git default settings.  I could have sworn I
saw an advice about this somewhere ...

 > make -C doc/lispref info
 > make[2]: Entering directory `/c/docume~1/lalwist/desktop/emacs/doc/lispref'
 > /bin/mkdir -p ../../info
 > GEN ../../info/elisp.info
 > ' in @synindex.Uninown index `cp' and/or `fn
 > ' in @synindex.Uninown index `vr' and/or `fn
 > ' in @synindex.Uninown index `ky' and/or `fn
 > ' in @synindex.Uninown index `pg' and/or `fn
 > make[2]: *** [../../info/elisp.info] Error 1
 > make[2]: Leaving directory `/c/docume~1/lawlist/desktop/emacs/doc/lispref'
 > make[1]: *** [lispref-info] Error 2
 > make[1]: Leaving directory `/c/docume~1/lawlist/desktop/emacs'
 > make:  *** [info] Error 2
 >
 > Any ideas on how to get passed this next hurdle would be greatly appreciated.

You probably need Eli's port of Texinfo from here ...

http://sourceforge.net/projects/ezwinports/files/

... instead of the one you have.

martin